/*统计饼状图*/
function loadAChart(type){
    // 必须用JSON.parse() 转换一下，才可以显示，否则数据类型会不对
    var option = JSON.parse(Android.getPieChartOptions(type));
    var chart2Doc = document.getElementById('main');
    var myChart2 = require('echarts').init(chart2Doc);

    myChart2.setOption(option);
    document.getElementById('textcontent').innerHTML=option;
}

/*消费者分析饼状图*/
function loadCustomerChart(){
    // 必须用JSON.parse() 转换一下，才可以显示，否则数据类型会不对
    var option = JSON.parse(Android.getPieChartOptions());
    var chart2Doc = document.getElementById('main');
    var myChart2 = require('echarts').init(chart2Doc);

    myChart2.setOption(option);
    document.getElementById('textcontent').innerHTML=option;
}

/*折线图(消费者分析,会员分析)*/
function fetchData(cb) {
    // 通过 setTimeout 模拟异步加载
    var categorieX = JSON.parse(Android.getCategorieX());
    var line = JSON.parse(Android.getDataForLine());
    var max2 = JSON.parse(Android.getMaxForLine());
    var interval2 = JSON.parse(Android.getIntervalForLine());
    setTimeout(function () {
        cb({
            categories: categorieX,
            data: line,
            max1:max2,
            interval1:interval2
        });
    }, 0);
}

fetchData(function (data) {
/*myChart.hideLoading();*/
    myChart.setOption({
        xAxis: {
            data: data.categories
        },
        yAxis :{
             max:data.max1,
             interval:data.interval1,
        },
        series: [{
            // 根据名字对应到相应的系列
            name: '销量',
            data: data.data
        }]
    });
});

